<table class="table">
  <thead>
  <tr>
    <th>{{ 'comsa_sulu_shopping_cart.product'|trans }}</th>
    <th>{{ 'comsa_sulu_shopping_cart.price'|trans }}</th>
    <th>{{ 'comsa_sulu_shopping_cart.quantity'|trans }}</th>
    {% for customCartItemProperty in customCartItemProperties %}
      <th>{{ ('properties.'~customCartItemProperty)|trans}}</th>
    {% endfor %}
    <th>{{ 'comsa_sulu_shopping_cart.total'|trans }}</th>
    <th></th>
  </tr>
  </thead>
  <tbody>
  {% for item in cart.items %}
    <tr>
      <td>{{ item.title }}</td>
      <td>{{ item.price|price }}</td>
      <td>{{ item.quantity }}</td>
      {% for customCartItemProperty in customCartItemProperties %}
        <td>{{ attribute(item, customCartItemProperty) }}</td>
      {% endfor %}
      <td>{{ item.total|price }}</td>
      <td><a href="{{ path('comsa_sulu_shopping_cart_delete_item', {'id': item.id}) }}" class="text-danger"><i class="fas fa-trash"></i></a></td>
    </tr>
  {% endfor %}
  </tbody>
  <tfoot>
  {% if cart.shippingMethod %}
  <tr>
    <th colspan="3" class="text-right">{{ 'comsa_sulu_shopping_cart.shipping'|trans }} ({{ cart.shippingMethod.name }})</th>
    <td colspan="2">{{ cart.shippingMethod.price|price }}</td>
  </tr>
  {% endif %}
  {% if cart.paymentMethod %}
  <tr>
    <th colspan="3" class="text-right">{{ 'comsa_sulu_shopping_cart.payment_method'|trans }} ({{ cart.paymentMethod.name }})</th>
    <td colspan="2">{{ cart.paymentMethod.price|price }}</td>
  </tr>
  {% endif %}
  {% set baseColOffeset = 3 %}
  {% set customColOffset = baseColOffeset + customCartItemProperties|length %}
  <tr>
    <th colspan="{{ customColOffset }}" class="text-right">{{ 'comsa_sulu_shopping_cart.total'|trans }}</th>
    <td colspan="2">{{ cart.total|price }}</td>
  </tr>
  </tfoot>
</table>
